List attachments (By Issue ID)

Retrieves all attachments from an issue

Request

GET

https://api.sourcecraft.tech/issues/id:{issue_id}/attachments

Path parameters

Name

Description

issue_id

Type: string

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "attachments": [
    {
      "id": "example",
      "name": "example",
      "mime_type": "example",
      "file_type": "image",
      "size": "example"
    }
  ]
}

Name

Description

attachments

Type: Attachment[]

Example
[
  {
    "id": "example",
    "name": "example",
    "mime_type": "example",
    "file_type": "image",
    "size": "example"
  }
]

FileType

Type: string

Enum: image, document, video, container

Attachment

Name

Description

file_type

Type: FileType

Enum: image, document, video, container

id

Type: string

Example: example

mime_type

Type: string

Example: example

name

Type: string

Example: example

size

Type: string<int64>

Example: example

Example
{
  "id": "example",
  "name": "example",
  "mime_type": "example",
  "file_type": "image",
  "size": "example"
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": {}
}

Name

Description

details

Type: Optional details. Exact structure depends on error_code

[additional]

Type: string

Example: example

Example
{}

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example

Предыдущая